/* Mozilla Folder/icon script */
/* Originally by sehh@altered.com */
/* Altered by mkaply@us.ibm.com */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs
dir=directory()

rc=SysCreateObject('WPFolder',,
'Mozilla',,
'<WP_DESKTOP>',,
'OBJECTID=<MOZILLAFLDR>;'||,
'ALWAYSSORT=YES;',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Mozilla',,
'<MOZILLAFLDR>',,
'EXENAME='||dir||'\MOZILLA.EXE;'||,
'STARTUPDIR='||dir||';'||,
'OBJECTID=<MOZILLAEXE>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Mozilla^Profile Manager',,
'<MOZILLAFLDR>',,
'EXENAME='||dir||'\MOZILLA.EXE;'||,
'PARAMETERS=-ProfileManager;'||,
'STARTUPDIR='||dir||';'||,
'OBJECTID=<MOZILLAPROFMANAGER>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Mozilla^Mail',,
'<MOZILLAFLDR>',,
'EXENAME='||dir||'\MOZILLA.EXE;'||,
'PARAMETERS=-mail;'||,
'STARTUPDIR='||dir||';'||,
'OBJECTID=<MOZILLAMAIL>',,
'Update' )

rc=SysCreateShadow(dir'\README','<MOZILLAFLDR>')
rc=SysCreateShadow(dir'\LICENSE','<MOZILLAFLDR>')
